<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.4"?>
<!--
    Copyright (c) 2015, 2016 CNRS, IRIT, IRT AESE (IRT Saint Exupéry).
    All rights reserved. This program and the accompanying materials
    are made available under the terms of the LGPL 3.0
    which accompanies this distribution, and is available at
    https://www.gnu.org/licenses/lgpl-3.0-standalone.html
   
    Contributors:
         Faiez Zalila - initial API and implementation and/or initial documentation
 -->

<plugin>

   <extension
         point="org.eclipse.ui.popupMenus">
      <objectContribution
            objectClass="org.eclipse.core.resources.IFile"
            id="org.geneauto.xtext.toXmi.contribution1">
         <menu
               label="XText toolkit"
               path="additions"
               id="org.geneauto.xtext.toXmi.xtexttoolkit">
            <separator
                  name="xTextToolkit">
            </separator>
         </menu>
         <action
               class="fr.irit.xtext.xmi.popup.actions.XTextToXmiAction"
               enablesFor="1"
               id="org.geneauto.xtext.toXmi.newAction"
               label="Generate XMI version of an XText resource"
               menubarPath="org.geneauto.xtext.toXmi.xtexttoolkit/xTextToolkit"
               tooltip="Generates an Xmi representation from an XText instance">
         </action>
      </objectContribution>
   </extension>

</plugin>
